Bug 28718 - Can't delete multiple news items at once
Summary: Can't delete multiple news items at once
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on: 22544
Blocks: 28717
  Show dependency treegraph
 
Reported: 2021-07-16 14:43 UTC by Lucas Gass
Modified: 2021-07-30 13:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28718: handle multiple deletions from news (883 bytes, patch)
2021-07-16 14:47 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28718: handle multiple deletions from news (934 bytes, patch)
2021-07-19 10:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28718: handle multiple deletions from news (1.06 KB, patch)
2021-07-23 11:00 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2021-07-16 14:43:06 UTC
To recreate:

1. have multiple news
2. check several of them and and click 'Delete selected'
3. see ugly error
Comment 1 Lucas Gass 2021-07-16 14:47:12 UTC
Created attachment 122898 [details] [review]
Bug 28718: handle multiple deletions from news

To test:
1. have multiple news
2. check several of them and and click 'Delete selected'
3. see ugly error
4. apply patch
5. try again
6. no error
Comment 2 Owen Leonard 2021-07-19 10:54:05 UTC
Created attachment 122940 [details] [review]
Bug 28718: handle multiple deletions from news

To test:
1. have multiple news
2. check several of them and and click 'Delete selected'
3. see ugly error
4. apply patch
5. try again
6. no error

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Joonas Kylmälä 2021-07-23 11:00:09 UTC
Created attachment 123097 [details] [review]
Bug 28718: handle multiple deletions from news

To test:
1. have multiple news
2. check several of them and and click 'Delete selected'
3. see ugly error
4. apply patch
5. try again
6. no error

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 4 Jonathan Druart 2021-07-26 09:24:36 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-07-30 13:57:45 UTC
Not needed for 21.05.x